<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <script src="http://localhost:8081/auth/js/keycloak.js"></script>
    <title>Manage Test Items</title>
    <link rel="stylesheet" href="style.css">
    <script src="https://unpkg.com/vue@next" defer></script>
    <script src="https://unpkg.com/axios/dist/axios.min.js" defer></script>
    <script src="script.js" defer></script>
    <script> // See https://github.com/ahus1/keycloak-dropwizard-integration/blob/master/keycloak-dropwizard-bearer/src/main/resources/assets/ajax/app.js
      var keycloak = Keycloak();
      keycloak.init({ onLoad: 'login-required' })
          .success(function(authenticated) {
              console.log(authenticated ? 'authenticated' : 'not authenticated');
              console.log(keycloak);
              document.getElementById('user').innerHTML = "Logged in as " + keycloak.idTokenParsed.name + ", " + keycloak.idTokenParsed.email;
              document.getElementById('bearer').innerHTML = "Bearer token: " + keycloak.token;
          })
          .error(function() {
              console.log('failed to initialize');
          });
  </script>
  </head>
  <body>
    <h1>Manage Test Items</h1>
    <div id="app">
      <input v-model="newItemName"></input>
      <button @click="addItem">Add Item</button>
      <button @click="logout()">Logout</button>
      <div v-show="addItemStatus === 'errored'">Could not add item.</div>
      <div v-show="addItemStatus === 'sending'">Adding item. Please wait.</div>
      <div v-show="status === 'errored'">Could not load items.</div>
      <div v-show="status === 'loading'">Loading items. Please wait...</div>
      <div v-show="status === 'loaded' && items.length === 0">No items.</div>
      <ul v-show="status === 'loaded' && items.length !== 0">
        <li v-for="item in items" :key="item._id">{{item.name}}</li>
      </ul>
    </div>
  </body>
</html>
